package jp.jasminesoft.wagby.job;

import jp.jasminesoft.jfc.DbActionParameter;
import jp.jasminesoft.jfc.app.EntityHelper;
import jp.jasminesoft.jfc.service.JFCEntityService;
import jp.jasminesoft.wagby.model.customer.*;
import jp.jasminesoft.wagby.app.customer.*;
import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;

public class CreateCustomerTask {
    private final static Logger logger = 
        Logger.getLogger(CreateCustomerTask.class.getName());

    @Autowired
    @Qualifier("CustomerHelper")
    protected EntityHelper<Customer, Integer> customerHelper;
    
    @Autowired
    @Qualifier("CustomerEntityService")
    protected JFCEntityService<Customer, Integer> customerEntityService;

    protected String process(DbActionParameter p) {
	System.out.println("顧客データ作成ジョブを開始しました。");
	for (int i = 0; i < 100; i++) {
	    Customer customer = new Customer();
	    customerHelper.initialize(customer, p);
	    customerEntityService.insert(customer);
	    System.out.println( i + "件の顧客データを登録しました。");
	}
	return "顧客データ作成ジョブを正常終了しました。";
    }
}